## roc-toolkit 0.3.0+dfsg

=== SConstruct ===
import SCons
import os
import os.path
import platform
import re
import sys

# supported platform names
supported_platforms = [
    'linux',
    'unix',
    'darwin',
    'android',
]

# supported compiler names (without version)
supported_compilers = [
    'clang',
    'gcc',
    'cc',
]

# supported sanitizers
supported_sanitizers = [
    'undefined',
    'address',
]

# supported macOS target architectures
supported_macos_archs = [
    'all', # for universal binaries, same as manually listing all archs
    'x86_64',
    'arm64',
]

# default installation prefix
if platform.system() == 'Darwin':
    default_prefix = '/usr/local'
else:
    default_prefix = '/usr'

AddOption('--prefix',
          dest='prefix',
          action='store',
          type='string',
          default=default_prefix,
          help="installation prefix, '{}' by default".format(default_prefix))

AddOption('--bindir',
          dest='bindir',
          action='store',
          type='string',
          default=os.path.join(GetOption('prefix'), 'bin'),
          help=("path to the binary installation directory"
                " (where to install Roc command-line tools),"
                " '<prefix>/bin' by default"))

AddOption('--libdir',
          dest='libdir',
          action='store',
          type='string',
          help=("path to the library installation directory"
                " (where to install Roc library),"
                " auto-detected by default"))

AddOption('--incdir',
          dest='incdir',
          action='store',
          type='string',
          default=os.path.join(GetOption('prefix'), 'include'),
          help=("path to the headers installation directory"
                " (where to install Roc headers),"
                " '<prefix>/include' by default"))

AddOption('--mandir',
          dest='mandir',
          action='store',
          type='string',
          default=os.path.join(GetOption('prefix'), 'share/man/man1'),
          help=("path to the manuals installation directory"
                " (where to install Roc manual pages),"
                " '<prefix>/share/man/man1' by default"))

AddOption('--build',
          dest='build',
          action='store',
          type='string',
          help=("system name where Roc is being compiled,"
                " e.g. 'x86_64-pc-linux-gnu',"
                " auto-detected by default"))

AddOption('--host',
          dest='host',
          action='store',
          type='string',
          help=("system name where Roc will run,"
                " e.g. 'arm-linux-gnueabihf',"
                " auto-detected by default"))

AddOption('--platform',
          dest='platform',
          action='store',
          choices=([''] + supported_platforms),
          help=("platform name where Roc will run,"
                " supported values: empty (detect from host), {}".format(
                ', '.join(["'{}'".format(s) for s in supported_platforms]))))

AddOption('--compiler',
          dest='compiler',
          action='store',
          type='string',
          help=("compiler name and optional version, e.g. 'gcc-4.9',"
                " supported names: empty (detect what available), {}".format(
                ', '.join(["'{}'".format(s) for s in supported_compilers]))))

AddOption('--compiler-launcher',
          dest='compiler_launcher',
          action='store',
          type='string',
          help=("optional launching tool for c and c++ compilers,"
              " e.g. 'ccache'"))

AddOption('--sanitizers',
          dest='sanitizers',
          action='store',
          type='string',
          help=("list of gcc/clang sanitizers,"
                " supported names: empty (no sanitizers), 'all', " +
                ', '.join(["'{}'".format(s) for s in supported_sanitizers])))

AddOption('--enable-debug',
          dest='enable_debug',
          action='store_true',
          help='enable debug build for Roc')

AddOption('--enable-debug-3rdparty',
          dest='enable_debug_3rdparty',
          action='store_true',
          help='enable debug build for 3rdparty libraries')

AddOption('--enable-werror',
          dest='enable_werror',
          action='store_true',
          help='treat warnings as errors')

AddOption('--enable-static',
          dest='enable_static',
          action='store_true',
          help='enable building static library')

AddOption('--disable-shared',
          dest='disable_shared',
          action='store_true',
          help='disable building shared library')

AddOption('--disable-tools',
          dest='disable_tools',
          action='store_true',
          help='disable tools building')

AddOption('--enable-tests',
          dest='enable_tests',
          action='store_true',
          help='enable tests building and running (requires CppUTest)')

AddOption('--enable-benchmarks',
          dest='enable_benchmarks',
          action='store_true',
          help='enable bechmarks building and running (requires Google Benchmark)')

AddOption('--enable-examples',
          dest='enable_examples',
          action='store_true',
          help='enable examples building')

AddOption('--enable-doxygen',
          dest='enable_doxygen',
          action='store_true',
          help='enable Doxygen documentation generation')

AddOption('--enable-sphinx',
          dest='enable_sphinx',
          action='store_true',
          help='enable Sphinx documentation generation')

AddOption('--disable-c11',
          dest='disable_c11',
          action='store_true',
          help='disable C11 support')

AddOption('--disable-soversion',
          dest='disable_soversion',
          action='store_true',
          help=("don't write version into the shared library"
                " and don't create version symlinks"))

AddOption('--disable-openfec',
          dest='disable_openfec',
          action='store_true',
          help='disable OpenFEC support required for FEC codes')

AddOption('--disable-speexdsp',
          dest='disable_speexdsp',
          action='store_true',
          help='disable SpeexDSP support for resampling')

AddOption('--disable-sox',
          dest='disable_sox',
          action='store_true',
          help='disable SoX support in tools')

AddOption('--disable-openssl',
          dest='disable_openssl',
          action='store_true',
          help='disable OpenSSL support required for DTLS and SRTP')

AddOption('--disable-libunwind',
          dest='disable_libunwind',
          action='store_true',
          help='disable libunwind support required for printing backtrace')

AddOption('--disable-alsa',
          dest='disable_alsa',
          action='store_true',
          help='disable ALSA support in tools')

AddOption('--disable-pulseaudio',
          dest='disable_pulseaudio',
          action='store_true',
          help='disable PulseAudio support in tools')

AddOption('--with-openfec-includes',
          dest='with_openfec_includes',
          action='store',
          type='string',
          help=("path to the directory with OpenFEC headers (it should contain"
                " lib_common and lib_stable subdirectories)"))

AddOption('--with-includes',
          dest='with_includes',
          action='append',
          type='string',
          help=("additional include search path, may be used multiple times"))

AddOption('--with-libraries',
          dest='with_libraries',
          action='append',
          type='string',
          help=("additional library search path, may be used multiple times"))

AddOption('--macos-platform',
          dest='macos_platform',
          action='store',
          type='string',
          help=("macOS target platform, e.g. 10.12,"
                " (default is current OS version)"))

AddOption('--macos-arch',
          dest='macos_arch',
          action='store',
          type='string',
          help=("macOS target architecture(s),"
                " comma-separated list, supported values: {}".format(
                    ', '.join(["'{}'".format(s) for s in supported_macos_archs])) +
                " (default is current OS arch, pass multiple values"
                " or 'all' for univeral binaries)"))

AddOption('--build-3rdparty',
          dest='build_3rdparty',
          action='store',
          type='string',
          help=("download and build specified 3rdparty libraries,"
                " comma-separated list of library names and optional"
                " versions, e.g. 'libuv:1.4.2,openfec'"))

AddOption('--override-targets',
          dest='override_targets',
          action='store',
          type='string',
          help=("override targets to use,"
                " pass a comma-separated list of target names,"
                " e.g. 'pc,posix,posix_ext,gnu,libuv,openfec,...'"))

# configure even in dry run mode
SCons.SConf.dryrun = 0

# when we cross-compile on macOS to Android using clang, we should use
# GNU-like clang options, but SCons incorrectly sets up Apple-like
# clang options; here we prevent this behavior by forcing 'posix' platform
scons_platform = Environment(ENV=os.environ)['PLATFORM']
for opt in ['host', 'platform']:
    if 'android' in (GetOption(opt) or ''):
        scons_platform = 'posix'

env = Environment(
    ENV=os.environ,
    platform=scons_platform,
    toolpath=[os.path.join(Dir('#').abspath, 'scripts')],
    tools=[
        'default',
        'scons_plugin', # our plugin in scripts/
        ])

# performance tuning
env.Decider('MD5-timestamp')
env.SetOption('implicit_cache', 1)

# provide absolute path to force single sconsign file
# per-directory sconsign files seems to be buggy with generated sources
# create separate sconsign file for each python version, since different
# python versions can use different pickle protocols and switching from
# a higher version to a lower one would cause exception
env.SConsignFile(os.path.join(
    env.Dir('#').abspath, '.sconsign{}{}.dblite'.format(*sys.version_info[0:2])))

# we always use -fPIC, so object files built for static and shared
# libraries are no different
env['STATIC_AND_SHARED_OBJECTS_ARE_THE_SAME'] = 1

# fill vars from environment (CC=gcc scons ...) and arguments (scons CC=gcc ...)
for var in ['CXX', 'CC', 'LD', 'AR', 'RANLIB', 'LIPO', 'INSTALL_NAME_TOOL',
            'RAGEL', 'GENGETOPT',
            'PKG_CONFIG', 'PKG_CONFIG_PATH', 'CONFIG_GUESS',
            'CLANG_FORMAT']:
    env.OverrideFromArgument(var)

env.OverrideFromArgument('CXXLD', names=['CXXLD', 'CXX'])
env.OverrideFromArgument('CCLD', names=['CCLD', 'LD', 'CC'])

env.OverrideFromArgument('STRIP', default='strip')
env.OverrideFromArgument('OBJCOPY', default='objcopy')

env.OverrideFromArgument('DOXYGEN', default='doxygen')
env.OverrideFromArgument('SPHINX_BUILD', default='sphinx-build')
env.OverrideFromArgument('BREATHE_APIDOC', default='breathe-apidoc')

env.OverrideFromArgument('DESTDIR')

env.PrependFromArgument('CPPFLAGS')
env.PrependFromArgument('CXXFLAGS')
env.PrependFromArgument('CFLAGS')
env.PrependFromArgument('LINKFLAGS', names=['LINKFLAGS', 'LDFLAGS'])
env.PrependFromArgument('STRIPFLAGS')

# ensure that these vars always exist
env.Append(CXXFLAGS=[])
env.Append(CPPDEFINES=[])
env.Append(CPPPATH=[])
env.Append(LIBPATH=[])
env.Append(LIBS=[])
env.Append(STRIPFLAGS=[])

# handle --with-*
if GetOption('with_includes'):
    env.Append(CPPPATH=GetOption('with_includes'))

if GetOption('with_libraries'):
    env.Append(LIBPATH=GetOption('with_libraries'))

# handle --help
if GetOption('help'):
    Return()

# clean* targets
clean_build = []
for p in ['bin', 'build/src']:
    for d in env.GlobDirs(p):
        clean_build += [env.DeleteDir(d)]

clean_doc = []
for p in ['build/docs', 'docs/html']:
    for d in env.GlobDirs(p):
        clean_doc += [env.DeleteDir(d)]

clean_all = []
for p in ['bin',
          'build',
          'dist',
          'docs/html',
          'compile_commands.json',
          'config.log',
          '.sconsign*.dblite',

## roc-toolkit 0.3.0%2Bdfsg

=== debian/changelog ===
roc-toolkit (0.3.0+dfsg-7ubuntu2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 15:58:54 +1100

roc-toolkit (0.3.0+dfsg-7ubuntu1) noble; urgency=medium

  * Revert the Build-Depends on libopenfec-dev which was added in the
    previous revision, the package is in universe.

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 13 Mar 2024 11:39:27 +0100

roc-toolkit (0.3.0+dfsg-7build1) noble; urgency=medium

  * No-change rebuild against libuv1t64.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Tue, 12 Mar 2024 12:34:26 +1300

roc-toolkit (0.3.0+dfsg-7) unstable; urgency=medium

  * Add libopenfec-dev in Build-Deps

 -- Dylan Aïssi <daissi@debian.org>  Thu, 18 Jan 2024 22:31:18 +0100

roc-toolkit (0.3.0+dfsg-6) unstable; urgency=medium

  [ Sebastien Bacher ]
  * Install the upstream tests in a new binary and
      use it for autopkgtests (Closes: #1059269)

 -- Dylan Aïssi <daissi@debian.org>  Tue, 09 Jan 2024 20:38:04 +0100

roc-toolkit (0.3.0+dfsg-5) unstable; urgency=medium

  [ Sebastien Bacher ]
  * Enable build tests (Closes: #1058582)
  * Add libcpputest-dev in Build-Deps

 -- Dylan Aïssi <daissi@debian.org>  Wed, 13 Dec 2023 21:37:47 +0100

roc-toolkit (0.3.0+dfsg-4) unstable; urgency=medium

  * Restrict Build-Deps on libunwind-dev only on supported architectures

 -- Dylan Aïssi <daissi@debian.org>  Sat, 02 Dec 2023 09:58:05 +0100

roc-toolkit (0.3.0+dfsg-3) unstable; urgency=medium

  * libroc-dev: add missing dependencies required by roc.pc:
      libspeexdsp-dev, libssl-dev, libunwind-dev and libuv1-dev

 -- Dylan Aïssi <daissi@debian.org>  Mon, 27 Nov 2023 13:24:29 +0100

roc-toolkit (0.3.0+dfsg-2) unstable; urgency=medium

  * Upload to unstable
  * Define libdir with DEB_HOST_MULTIARCH
  * Use pkgconf instead of pkg-config

 -- Dylan Aïssi <daissi@debian.org>  Sat, 25 Nov 2023 22:20:10 +0100

roc-toolkit (0.3.0+dfsg-1) experimental; urgency=medium

  * Initial release (Closes: #1056701)

 -- Dylan Aïssi <daissi@debian.org>  Fri, 24 Nov 2023 23:40:28 +0100

=== debian/control ===
Source: roc-toolkit
Section: sound
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders: Dylan Aïssi <daissi@debian.org>
Build-Depends: debhelper-compat (= 13),
               gengetopt,
               libcpputest-dev,
               libpulse-dev,
               libsox-dev,
               libspeexdsp-dev,
               libssl-dev,
               libunwind-dev [!alpha !hurd-any !m68k !sparc64 !x32],
               libuv1-dev,
               pkgconf,
               ragel,
               scons
Standards-Version: 4.6.2
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/multimedia-team/roc-toolkit
Vcs-Git: https://salsa.debian.org/multimedia-team/roc-toolkit.git
Homepage: https://roc-streaming.org/

Package: libroc0.3
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: real-time audio streaming over the network (shared library)
 Roc is a network transport, highly specialized for the real-time streaming use
 case. The user writes the stream to the one end and reads it from another end,
 and Roc deals with all the complexity of the task of delivering data in time
 and with no loss. Encoding, decoding, adjusting rates, restoring losses - all
 these are performed transparently under the hood.
 .
 This package provides the shared library.

Package: libroc-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         libroc0.3 (= ${binary:Version}),
         libspeexdsp-dev,
         libssl-dev,
         libunwind-dev [!alpha !hurd-any !m68k !sparc64 !x32],
         libuv1-dev
Description: real-time audio streaming over the network (development files)
 Roc is a network transport, highly specialized for the real-time streaming use
 case. The user writes the stream to the one end and reads it from another end,
 and Roc deals with all the complexity of the task of delivering data in time
 and with no loss. Encoding, decoding, adjusting rates, restoring losses - all
 these are performed transparently under the hood.
 .
 This package provides the development files for libroc.

Package: roc-toolkit-tools
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: real-time audio streaming over the network (tools)
 Roc is a network transport, highly specialized for the real-time streaming use
 case. The user writes the stream to the one end and reads it from another end,
 and Roc deals with all the complexity of the task of delivering data in time
 and with no loss. Encoding, decoding, adjusting rates, restoring losses - all
 these are performed transparently under the hood.
 .
 This package provides the roc-toolkit tools.

Package: roc-toolkit-tests
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Multi-Arch: foreign
Description: real-time audio streaming over the network (tests)
 Roc is a network transport, highly specialized for the real-time streaming use
 case. The user writes the stream to the one end and reads it from another end,
 and Roc deals with all the complexity of the task of delivering data in time
 and with no loss. Encoding, decoding, adjusting rates, restoring losses - all
 these are performed transparently under the hood.
 .
 This package contains test programs from the upstream code which are used
 for the autopkgtests.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

SCONS_BUILD_FLAGS = --libdir=/usr/lib/$(DEB_HOST_MULTIARCH) --disable-openfec --enable-tests

ifneq (,$(filter alpha hurd-amd64 hurd-i386 m68k sparc64 x32,$(DEB_HOST_ARCH)))
SCONS_BUILD_FLAGS += --disable-libunwind
endif

%:
	dh $@

override_dh_auto_build:
	scons ${SCONS_BUILD_FLAGS}

override_dh_auto_test:
	scons ${SCONS_BUILD_FLAGS} test/roc_core

override_dh_auto_install:
	scons ${SCONS_BUILD_FLAGS} install DESTDIR=debian/tmp

## roc-toolkit 0.3.0+dfsg

=== debian/changelog ===
roc-toolkit (0.3.0+dfsg-7~mx23+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Fri, 02 Feb 2024 12:04:21 -0800

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: roc-toolkit
 Section: sound
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
 XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders: Dylan Aïssi <daissi@debian.org>
 Build-Depends: debhelper-compat (= 13),
                gengetopt,
                libcpputest-dev,
+               libopenfec-dev [!sparc64],
                libpulse-dev,
                libsox-dev,
                libspeexdsp-dev,
@@ -26,8 +27,7 @@
 Section: libs
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends},
-         ${shlibs:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: real-time audio streaming over the network (shared library)
  Roc is a network transport, highly specialized for the real-time streaming use
  case. The user writes the stream to the one end and reads it from another end,
@@ -41,12 +41,13 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends},
+Depends: libopenfec-dev [!sparc64],
          libroc0.3 (= ${binary:Version}),
          libspeexdsp-dev,
          libssl-dev,
          libunwind-dev [!alpha !hurd-any !m68k !sparc64 !x32],
-         libuv1-dev
+         libuv1-dev,
+         ${misc:Depends}
 Description: real-time audio streaming over the network (development files)
  Roc is a network transport, highly specialized for the real-time streaming use
  case. The user writes the stream to the one end and reads it from another end,
@@ -58,8 +59,7 @@
 
 Package: roc-toolkit-tools
 Architecture: any
-Depends: ${misc:Depends},
-         ${shlibs:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: real-time audio streaming over the network (tools)
  Roc is a network transport, highly specialized for the real-time streaming use
  case. The user writes the stream to the one end and reads it from another end,
@@ -71,8 +71,7 @@
 
 Package: roc-toolkit-tests
 Architecture: any
-Depends: ${misc:Depends},
-         ${shlibs:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Multi-Arch: foreign
 Description: real-time audio streaming over the network (tests)
  Roc is a network transport, highly specialized for the real-time streaming use

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

SCONS_BUILD_FLAGS = --libdir=/usr/lib/$(DEB_HOST_MULTIARCH) --enable-tests

ifneq (,$(filter alpha hurd-amd64 hurd-i386 m68k sparc64 x32,$(DEB_HOST_ARCH)))
SCONS_BUILD_FLAGS += --disable-libunwind
endif

ifneq (,$(filter sparc64,$(DEB_HOST_ARCH)))
SCONS_BUILD_FLAGS += --disable-openfec
endif

%:
	dh $@

override_dh_auto_build:
	scons ${SCONS_BUILD_FLAGS}

override_dh_auto_test:
	scons ${SCONS_BUILD_FLAGS} test/roc_core

override_dh_auto_install:
	scons ${SCONS_BUILD_FLAGS} install DESTDIR=debian/tmp

# No dbgsym packages:
override_dh_strip:
	dh_strip --no-automatic-dbgsym

## roc-toolkit 0.4.0%2Bdfsg

=== debian/control ===
--- 
+++ 
@@ -9,21 +9,21 @@
                libcpputest-dev,
                libopenfec-dev [!sparc64],
                libpulse-dev,
+               libsndfile1-dev,
                libsox-dev,
                libspeexdsp-dev,
                libssl-dev,
-               libunwind-dev [!alpha !hurd-any !m68k !sparc64 !x32],
                libuv1-dev,
                pkgconf,
                ragel,
                scons
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/multimedia-team/roc-toolkit
 Vcs-Git: https://salsa.debian.org/multimedia-team/roc-toolkit.git
 Homepage: https://roc-streaming.org/
 
-Package: libroc0.3
+Package: libroc0.4
 Section: libs
 Architecture: any
 Multi-Arch: same
@@ -42,10 +42,9 @@
 Architecture: any
 Multi-Arch: same
 Depends: libopenfec-dev [!sparc64],
-         libroc0.3 (= ${binary:Version}),
+         libroc0.4 (= ${binary:Version}),
          libspeexdsp-dev,
          libssl-dev,
-         libunwind-dev [!alpha !hurd-any !m68k !sparc64 !x32],
          libuv1-dev,
          ${misc:Depends}
 Description: real-time audio streaming over the network (development files)

## roc-toolkit 0.4.0+dfsg

=== SConstruct ===
--- 
+++ 
@@ -208,6 +208,11 @@
           dest='disable_sox',
           action='store_true',
           help='disable SoX support in tools')
+
+AddOption('--disable-sndfile',
+          dest='disable_sndfile',
+          action='store_true',
+          help='disable sndfile support in tools')
 
 AddOption('--disable-openssl',
           dest='disable_openssl',
@@ -374,9 +379,3 @@
 
 clean_all = []
 for p in ['bin',
-          'build',
-          'dist',
-          'docs/html',
-          'compile_commands.json',
-          'config.log',
-          '.sconsign*.dblite',

=== debian/changelog ===
roc-toolkit (0.4.0+dfsg-5) unstable; urgency=medium

  * Disable libunwind integration (Closes: #1093375)
  * Run autopkgtest as flaky on s390x

 -- Dylan Aïssi <daissi@debian.org>  Sat, 25 Jan 2025 12:41:30 +0100

roc-toolkit (0.4.0+dfsg-4) unstable; urgency=medium

  * Disable autopkgtest on s390x for now:
    Newly added roc_sndio tests only fail on s390x, so let's disable
    tests on this architecture until upstream fixes them.

 -- Dylan Aïssi <daissi@debian.org>  Wed, 03 Jul 2024 17:37:45 +0200

roc-toolkit (0.4.0+dfsg-3) unstable; urgency=medium

  * Upload to unstable

 -- Dylan Aïssi <daissi@debian.org>  Sat, 29 Jun 2024 08:12:28 +0200

roc-toolkit (0.4.0+dfsg-2) experimental; urgency=medium

  * Require libunwind-dev << 14
    roc-toolkit is not compatible with libunwind from llvm-toolchain,
    so let's set a max version to ensure we use the one from the
    package libunwind instead.

 -- Dylan Aïssi <daissi@debian.org>  Wed, 19 Jun 2024 16:27:24 +0200

roc-toolkit (0.4.0+dfsg-1) experimental; urgency=medium

  * New upstream version 0.4.0+dfsg
  * Bump SONAME to libroc0.4
  * Update symbols file
  * Add libsndfile1-dev in Build-Deps
  * Refresh Don-t-strip-symbols.patch
  * Add upstream/metadata
  * Standards-Version: 4.7.0 (no changes required)
  * Update copyright file
  * Don't install the symlink "libroc.so.0" -> "libroc.so.0.X"
      This symlink is undesirable since the soname is not "libroc.so.0"
      but "libroc.so.0.X"; and usually versions 0.X break the API.

 -- Dylan Aïssi <daissi@debian.org>  Sat, 15 Jun 2024 17:36:58 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: roc-toolkit
 Section: sound
 Priority: optional
-Maintainer: Steven Pusser <stevep@mxlinux.org>
-XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders: Dylan Aïssi <daissi@debian.org>
 Build-Depends: debhelper-compat (= 13),
                gengetopt,
@@ -27,7 +26,8 @@
 Section: libs
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends},
+         ${shlibs:Depends}
 Description: real-time audio streaming over the network (shared library)
  Roc is a network transport, highly specialized for the real-time streaming use
  case. The user writes the stream to the one end and reads it from another end,
@@ -41,12 +41,12 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libopenfec-dev [!sparc64],
+Depends: ${misc:Depends},
          libroc0.4 (= ${binary:Version}),
+         libopenfec-dev [!sparc64],
          libspeexdsp-dev,
          libssl-dev,
-         libuv1-dev,
-         ${misc:Depends}
+         libuv1-dev
 Description: real-time audio streaming over the network (development files)
  Roc is a network transport, highly specialized for the real-time streaming use
  case. The user writes the stream to the one end and reads it from another end,
@@ -58,7 +58,8 @@
 
 Package: roc-toolkit-tools
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends},
+         ${shlibs:Depends}
 Description: real-time audio streaming over the network (tools)
  Roc is a network transport, highly specialized for the real-time streaming use
  case. The user writes the stream to the one end and reads it from another end,
@@ -70,7 +71,8 @@
 
 Package: roc-toolkit-tests
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends},
+         ${shlibs:Depends}
 Multi-Arch: foreign
 Description: real-time audio streaming over the network (tests)
  Roc is a network transport, highly specialized for the real-time streaming use

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

SCONS_BUILD_FLAGS = --libdir=/usr/lib/$(DEB_HOST_MULTIARCH) \
                    --enable-tests \
                    --disable-libunwind

ifneq (,$(filter sparc64,$(DEB_HOST_ARCH)))
SCONS_BUILD_FLAGS += --disable-openfec
endif

%:
	dh $@

override_dh_auto_build:
	scons ${SCONS_BUILD_FLAGS}

override_dh_auto_test:
	scons ${SCONS_BUILD_FLAGS} test/roc_core

override_dh_auto_install:
	scons ${SCONS_BUILD_FLAGS} install DESTDIR=debian/tmp
	# Don't install the symlink "libroc.so.0" -> "libroc.so.0.X"
	# This symlink is undesirable since the soname is not "libroc.so.0"
	# but "libroc.so.0.X"; and usually versions 0.X break the API.
	find debian/tmp/ -name 'libroc.so.0' -delete -print

=== debian/tests/control ===
Test-Command: for t in /usr/libexec/roc-toolkit/roc-test-*; do echo $t; $t; done
Depends: roc-toolkit-tests
Architecture: !s390x

Test-Command: for t in /usr/libexec/roc-toolkit/roc-test-*; do echo $t; $t; done
Depends: roc-toolkit-tests
Architecture: s390x
Restrictions: flaky
# Mark tests as flaky on s390x because of new tests are failing, see
# https://github.com/roc-streaming/roc-toolkit/issues/744
